Package org.codehaus.commons.compiler.util

# Class SystemProperties

java.lang.Object
org.codehaus.commons.compiler.util.SystemProperties

public final class SystemProperties extends Object

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`getBooleanClassProperty(Class<?> targetClass, String classPropertyName)`
`static boolean`
`getBooleanClassProperty(Class<?> targetClass, String classPropertyName, boolean defaultValue)`
`static String`
`getClassProperty(Class<?> targetClass, String classPropertyName)`
`static String`
`getClassProperty(Class<?> targetClass, String classPropertyName, String defaultValue)`
Gets the value of a "class property".
`static int`
`getIntegerClassProperty(Class<?> targetClass, String classPropertyName, int defaultValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBooleanClassProperty

public static boolean getBooleanClassProperty(Class<?> targetClass, String classPropertyName)

Returns:
  Whether the class property is set and its value equals, ignoring case, `"true"`
See Also:
  - `getClassProperty(Class, String, String)`

### getBooleanClassProperty

public static boolean getBooleanClassProperty(Class<?> targetClass, String classPropertyName, boolean defaultValue)

Returns:
  Whether the value of the class property its value equals, ignoring case, `"true"`, or, if that class property is not set, defaultValue
See Also:
  - `getClassProperty(Class, String, String)`

### getIntegerClassProperty

public static int getIntegerClassProperty(Class<?> targetClass, String classPropertyName, int defaultValue)

Returns:
  The value of the class property, converted to integer, or, if that class property is not set, defaultValue
Throws:
  `NumberFormatException` - The value of the class property could be parsed as an integer
See Also:
  - `getClassProperty(Class, String, String)`
  - `Integer.parseInt(String)`

### getClassProperty

@Nullable public static String getClassProperty(Class<?> targetClass, String classPropertyName)

Returns:
  The value of the class property, or, if that class property is not set, `null`
See Also:
  - `getClassProperty(Class, String, String)`

### getClassProperty

@Nullable public static String getClassProperty(Class<?> targetClass, String classPropertyName, @Nullable String defaultValue)
Gets the value of a "class property".

A class property is configured by a set of system properties (decreasing priority):

- fully-qualified-name-of-targetClass`.`classPropertyName
- simple-name-of-targetClass`.`classPropertyName

Returns:
  The value of the class property, or, if that class property is not set, defaultValue